Subject: [Int-dir] BTLE review

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 13 Apr 2015 08:55:11 +0000

Dear all:

Please find a review on https://tools.ietf.org/html/draft-ietf-6lo-btle-10 

Long title is "Transmission of IPv6 Packets over BLUETOOTH(R) Low Energy" but the spec is really "IPv6 over Bluetooth LE" as indicated by the short title since it also includes 6LoPWAN ND by reference. Suggestion to change the long title.

2.2: The text says that "a radio hop is equivalent to an IPv6 link and vice versa"; this yields the question whether s a single (Router ---- Node) connection a subnet? Or is a star topology as in fig 2 an NBMA multilink subnet?
It would be nice to indicate at that place how a subnet is deployed. Or that this spec does not make any assumption and that all models are possible. 

2.2 "Hence, in the primary deployment scenario central and peripheral will act as 6LoWPAN Border Router (6LBR) and a 6LoWPANNode (6LN), respectively." This text could be moved to early section 3, after so intro that would indicate that 6LoWPAN ND is required by this specification.

2.4: The text discusses the capability "to transmit IPv6 packets of 1280 bytes or larger". 6LoWPAN for a number of reasons forces MTU to 1280  so it does not need or care for "larger". It would be good to mention here if this spec aligns to 6LoWPAN.

3.: Suggestion to move the second paragraph to 1st paragraph so the dependency on 6LoWPAN ND is clarified before the specs talks about 6LBRs and stuff. ""6LoWPAN standards [RFC6775], and [RFC6282] provide useful functionality"...: it could be made more clear that this specification implies that 6LoWPAN ND is used, since it is mandatory for DAD.

3.2.4: I fail to understand the MLD snooping discussion. Shouldn't the 6LBR support MLD (RFC 2710) as a router and the 6LN as a listener? I expect that the router will route between 2 6LNs that are attached to it and that applies to multicast as well. 

3.3 Then again, what is the subnet assumption? Could we indicate on the picture how subnet(s) map(s) on the network? 

Cheers

Pascal

---

From: Brian Haberman <[email-masked]>
Date: Tue, 14 Apr 2015 11:09:44 -0400

Thanks, Pascal.

Regards,
Brian

On 4/13/15 4:28 AM, Pascal Thubert (pthubert) wrote:
> Dear all:
> 
> Please find a review on
> https://tools.ietf.org/html/draft-ietf-6lo-btle-10
> 
> Long title is "Transmission of IPv6 Packets over BLUETOOTH(R) Low
> Energy" but the spec is really "IPv6 over Bluetooth LE" as indicated
> by the short title since it also includes 6LoPWAN ND by reference.
> Suggestion to change the long title.
> 
> 2.2: The text says that "a radio hop is equivalent to an IPv6 link
> and vice versa"; this yields the question whether s a single (Router
> ---- Node) connection a subnet? Or is a star topology as in fig 2 an
> NBMA multilink subnet? It would be nice to indicate at that place how
> a subnet is deployed. Or that this spec does not make any assumption
> and that all models are possible.
> 
> 2.2 "Hence, in the primary deployment scenario central and peripheral
> will act as 6LoWPAN Border Router (6LBR) and a 6LoWPANNode (6LN),
> respectively." This text could be moved to early section 3, after so
> intro that would indicate that 6LoWPAN ND is required by this
> specification.
> 
> 2.4: The text discusses the capability "to transmit IPv6 packets of
> 1280 bytes or larger". 6LoWPAN for a number of reasons forces MTU to
> 1280  so it does not need or care for "larger". It would be good to
> mention here if this spec aligns to 6LoWPAN.
> 
> 3.: Suggestion to move the second paragraph to 1st paragraph so the
> dependency on 6LoWPAN ND is clarified before the specs talks about
> 6LBRs and stuff. ""6LoWPAN standards [RFC6775], and [RFC6282] provide
> useful functionality"...: it could be made more clear that this
> specification implies that 6LoWPAN ND is used, since it is mandatory
> for DAD.
> 
> 3.2.4: I fail to understand the MLD snooping discussion. Shouldn't
> the 6LBR support MLD (RFC 2710) as a router and the 6LN as a
> listener? I expect that the router will route between 2 6LNs that are
> attached to it and that applies to multicast as well.
> 
> 3.3 Then again, what is the subnet assumption? Could we indicate on
> the picture how subnet(s) map(s) on the network?
> 
> 
> Cheers
> 
> Pascal
> 
>